Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #271

configure.ac depends on PKG_CHECK_VAR
March 27, 2013 01:52 - Luis Picciochi

Status: Closed Start date: March 27, 2013
Priority: Major Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.4

Affects version:

Description
The audacious-plugins configure.ac script depends on PKG_CHECK_VAR:

$ grep -n PKG_CHECK_VAR configure.ac
1062 :PKG_CHECK_VAR([plugindir], [audacious], [plugin_dir], [], [AC_MSG_ERROR([Cannot retrieve plug
in_dir pkgconfig variable])])

However, this macro is only available starting at pkg-config 0.28 (release notes here).

Either increase the dependency on pkg-config (currently at 2.59) or don't use this macro.
As a workaround, | defined the macro locally (ripped from the upstream commit). I'm not sure if we want to do this even if only when
it's not provided by the installed pkg-config.

$ git diff configure.ac

diff --git a/configure.ac b/configure.ac
index 0d0£839..db28962 100644

-—— a/configure.ac

+++ b/configure.ac

@@ -22,6 +22,16 @@ AUD_COMMON_PROGS
BUILDSYS_INIT

BUILDSYS_SHARED_LIB

AC_DEFUN ( [PKG_CHECK_VAR],
[AC_REQUIRE ( [PKG_PROG_PKG_CONFIG])dnl
AC_ARG_VAR([S$1], [value of $3 for $2, overriding pkg-config])dnl
_PKG_CONFIG([$1], [variable="]1[S$31["]1, [S$2])
AS_VAR_COPY ([$1], [pkg_cv_][$1])
AS_VAR_IF([$11, [""], [$5], [$4])dnl
1) # PKG_CHECK_VAR

+ + + + + + + +

dnl Headers and functions
dnl =====================
AC_CHECK_FUNCS ( [mkdtemp])

History

#1 - March 27, 2013 01:52 - Luis Picciochi

- Target version set to 3.4

#2 - March 27, 2013 03:33 - John Lindgren

Yes, this was also reported at http:/redmine.audacious-media-player.org/boards/1/topics/736.

#3 - March 27, 2013 16:01 - Michael Schwendt
http://lists.freedesktop.org/archives/pkg-config/2013-January/000912.html
http://cgit.freedesktop.org/pkg-config/commit/?id=5b463c927b6caeb332bb147572ea82b1650ceb7d
http://redmine.audacious-media-player.org/boards/1/topics/736

This would work:

m4_ifdef ([PKG_CHECK_VAR], [],
[AC_DEFUN ( [PKG_CHECK_VAR],
[AC_REQUIRE ( [PKG_PROG_PKG_CONFIG])dnl
AC_ARG_VAR([$1]1, [value of $3 for $2, overriding pkg-config])dnl
_PKG_CONFIG([$1], [variable="]1[$3]1["], [$2])
AS_VAR_COPY ([$1], I[pkg_cv_1I[$11)
AS_VAR_IF ([$1], [""], [$5], [$4])dnl
1) # PKG_CHECK_VAR
1)

While at it, | just noticed there is also the AM_PATH_SIDPLAY macro, which is undefined unless the not-fully-free libsidplay2 is installed and provides
it. That macro also breaks a simple autoreconf and could be wrapped into m4_ifdef((AM_PATH_SIDPLAY],[..]), but that is off-topic here. ;)

#4 - March 30, 2013 01:09 - Luis Picciochi
| should take more attention when submitting bugs so late in the night. When | said:
Either increase the dependency on pkg-config (currently at 2.59) or don't use this macro.

| should have said:

Either declare a dependency on pkg-config >= 0.28 (somehow, I'm not sure if there's a macro for that) or don't use this macro (in which case,
Michael's suggestion above should be good for backwards compatibility).

#5 - March 30, 2013 17:07 - John Lindgren
- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious-plugins/commit/f95ab6f939ecf0d9232b3165f9241d2ea9676b9%e
